* [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/logic-bin/
@ 2023-07-23 14:06 David Roman
2023-07-23 14:07 ` [gentoo-commits] repo/proj/guru:master " David Roman
0 siblings, 1 reply; 9+ messages in thread
From: David Roman @ 2023-07-23 14:06 UTC (permalink / raw
To: gentoo-commits
commit: 842278951a23012aaa883d811305b094e9cd6d30
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Sun Jul 23 14:06:15 2023 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sun Jul 23 14:06:15 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=84227895
sci-electronics/logic-bin: add 2.4.9
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 +
sci-electronics/logic-bin/logic-bin-2.4.9.ebuild | 28 ++++++++++++++++++++++++
2 files changed, 29 insertions(+)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
index 786763992..5139edf95 100644
--- a/sci-electronics/logic-bin/Manifest
+++ b/sci-electronics/logic-bin/Manifest
@@ -1 +1,2 @@
DIST Logic-2.4.0-master.AppImage 154539767 BLAKE2B 2de346d64594932f4d37f8c4a32ba4121b539a6b643e5a140b6b560fdfa32a62dd3a7c7984a591bece51b6902f792706f777ddbb9a902876c1ae3a612d4b1635 SHA512 02b69c17c78daebeb2f213c79dddb47169e781b9862fbcb1bbd896f3452bee3cfe88ce64fd90c695bdcc2e987112ca2c8d81fd9f271522357b2a89ce28c19d2e
+DIST Logic-2.4.9-linux-x64.AppImage 170151103 BLAKE2B b37b727064ba31abd5ea114e1cb43e1b4a1c23bce78b9387e2bf399a05ebe01a6d25df7e2e43a5bfb0c2210f24e2c584030e5576e3433cce87e09c41f1df82a7 SHA512 91fcdde099a083d825f575e855469b14377e3dab6ea80a6b0b5bcd4e8da334945d727199fde4dd3b6b5f49568cb6814b2e0ded3731aa03b76baab37430b4d7d4
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
new file mode 100644
index 000000000..b5246f007
--- /dev/null
+++ b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Saleae logic analyzer"
+HOMEPAGE="https://www.saleae.com"
+
+SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-linux-x64.AppImage"
+KEYWORDS="~amd64"
+
+LICENSE="Saleae"
+SLOT="0"
+IUSE=""
+
+RESTRICT="bindist mirror strip"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="*"
+
+src_unpack() {
+ cp "${DISTDIR}/Logic-${PV}-linux-x64.AppImage" saleae-logic || die
+}
+
+src_install() {
+ dobin saleae-logic
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/logic-bin/
2023-07-23 14:06 [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/logic-bin/ David Roman
@ 2023-07-23 14:07 ` David Roman
0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2023-07-23 14:07 UTC (permalink / raw
To: gentoo-commits
commit: 842278951a23012aaa883d811305b094e9cd6d30
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Sun Jul 23 14:06:15 2023 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sun Jul 23 14:06:15 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=84227895
sci-electronics/logic-bin: add 2.4.9
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 +
sci-electronics/logic-bin/logic-bin-2.4.9.ebuild | 28 ++++++++++++++++++++++++
2 files changed, 29 insertions(+)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
index 786763992..5139edf95 100644
--- a/sci-electronics/logic-bin/Manifest
+++ b/sci-electronics/logic-bin/Manifest
@@ -1 +1,2 @@
DIST Logic-2.4.0-master.AppImage 154539767 BLAKE2B 2de346d64594932f4d37f8c4a32ba4121b539a6b643e5a140b6b560fdfa32a62dd3a7c7984a591bece51b6902f792706f777ddbb9a902876c1ae3a612d4b1635 SHA512 02b69c17c78daebeb2f213c79dddb47169e781b9862fbcb1bbd896f3452bee3cfe88ce64fd90c695bdcc2e987112ca2c8d81fd9f271522357b2a89ce28c19d2e
+DIST Logic-2.4.9-linux-x64.AppImage 170151103 BLAKE2B b37b727064ba31abd5ea114e1cb43e1b4a1c23bce78b9387e2bf399a05ebe01a6d25df7e2e43a5bfb0c2210f24e2c584030e5576e3433cce87e09c41f1df82a7 SHA512 91fcdde099a083d825f575e855469b14377e3dab6ea80a6b0b5bcd4e8da334945d727199fde4dd3b6b5f49568cb6814b2e0ded3731aa03b76baab37430b4d7d4
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
new file mode 100644
index 000000000..b5246f007
--- /dev/null
+++ b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Saleae logic analyzer"
+HOMEPAGE="https://www.saleae.com"
+
+SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-linux-x64.AppImage"
+KEYWORDS="~amd64"
+
+LICENSE="Saleae"
+SLOT="0"
+IUSE=""
+
+RESTRICT="bindist mirror strip"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="*"
+
+src_unpack() {
+ cp "${DISTDIR}/Logic-${PV}-linux-x64.AppImage" saleae-logic || die
+}
+
+src_install() {
+ dobin saleae-logic
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/logic-bin/
@ 2024-06-04 8:38 David Roman
2024-06-04 12:26 ` [gentoo-commits] repo/proj/guru:master " David Roman
0 siblings, 1 reply; 9+ messages in thread
From: David Roman @ 2024-06-04 8:38 UTC (permalink / raw
To: gentoo-commits
commit: 225966e984abb31f1e5ddcf256fc260289b02435
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Jun 4 08:37:34 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Jun 4 08:37:34 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=225966e9
sci-electronics/logic-bin: add missing RDEPEND
Closes: https://bugs.gentoo.org/933181
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/logic-bin-2.4.14.ebuild | 2 ++
1 file changed, 2 insertions(+)
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.14.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.14.ebuild
index 229d3d50a..2f49623ae 100644
--- a/sci-electronics/logic-bin/logic-bin-2.4.14.ebuild
+++ b/sci-electronics/logic-bin/logic-bin-2.4.14.ebuild
@@ -15,6 +15,8 @@ KEYWORDS="~amd64"
RESTRICT="bindist mirror strip"
+RDEPEND="sys-libs/zlib"
+
QA_PREBUILT="*"
src_unpack() {
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/logic-bin/
@ 2024-06-04 8:38 David Roman
2024-06-04 12:26 ` [gentoo-commits] repo/proj/guru:master " David Roman
0 siblings, 1 reply; 9+ messages in thread
From: David Roman @ 2024-06-04 8:38 UTC (permalink / raw
To: gentoo-commits
commit: af69ac831050a70f28fb4b59986a002794ef4153
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Jun 4 08:37:00 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Jun 4 08:37:00 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=af69ac83
sci-electronics/logic-bin: drop 2.4.9
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 -
sci-electronics/logic-bin/logic-bin-2.4.9.ebuild | 26 ------------------------
2 files changed, 27 deletions(-)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
index b743ce4a2..0f8c9727c 100644
--- a/sci-electronics/logic-bin/Manifest
+++ b/sci-electronics/logic-bin/Manifest
@@ -1,2 +1 @@
DIST Logic-2.4.14-linux-x64.AppImage 187591212 BLAKE2B 744e3266e8545c700ac2fd5ad31f9df569a2d5fe5b796a88934b7c6b730dd6282f44827748bc134960babebbf47ab9dfc12fb078d3a5b38f3eff22d1e835c2b0 SHA512 c32626eb359cad568a5871e29b4aa291294f92fd21052c80a3a21ed3a49ac3803cf0bee0af26a1b9f53e95ad47e4f71c86b241699dee59fefcd24e056de5c4d5
-DIST Logic-2.4.9-linux-x64.AppImage 170151103 BLAKE2B b37b727064ba31abd5ea114e1cb43e1b4a1c23bce78b9387e2bf399a05ebe01a6d25df7e2e43a5bfb0c2210f24e2c584030e5576e3433cce87e09c41f1df82a7 SHA512 91fcdde099a083d825f575e855469b14377e3dab6ea80a6b0b5bcd4e8da334945d727199fde4dd3b6b5f49568cb6814b2e0ded3731aa03b76baab37430b4d7d4
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
deleted file mode 100644
index 229d3d50a..000000000
--- a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2023 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DESCRIPTION="Saleae logic analyzer"
-HOMEPAGE="https://www.saleae.com"
-
-SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-linux-x64.AppImage"
-
-S="${WORKDIR}"
-LICENSE="Saleae"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RESTRICT="bindist mirror strip"
-
-QA_PREBUILT="*"
-
-src_unpack() {
- cp "${DISTDIR}/Logic-${PV}-linux-x64.AppImage" saleae-logic || die
-}
-
-src_install() {
- dobin saleae-logic
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/logic-bin/
2024-06-04 8:38 [gentoo-commits] repo/proj/guru:dev " David Roman
@ 2024-06-04 12:26 ` David Roman
0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2024-06-04 12:26 UTC (permalink / raw
To: gentoo-commits
commit: af69ac831050a70f28fb4b59986a002794ef4153
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Jun 4 08:37:00 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Jun 4 08:37:00 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=af69ac83
sci-electronics/logic-bin: drop 2.4.9
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 -
sci-electronics/logic-bin/logic-bin-2.4.9.ebuild | 26 ------------------------
2 files changed, 27 deletions(-)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
index b743ce4a2..0f8c9727c 100644
--- a/sci-electronics/logic-bin/Manifest
+++ b/sci-electronics/logic-bin/Manifest
@@ -1,2 +1 @@
DIST Logic-2.4.14-linux-x64.AppImage 187591212 BLAKE2B 744e3266e8545c700ac2fd5ad31f9df569a2d5fe5b796a88934b7c6b730dd6282f44827748bc134960babebbf47ab9dfc12fb078d3a5b38f3eff22d1e835c2b0 SHA512 c32626eb359cad568a5871e29b4aa291294f92fd21052c80a3a21ed3a49ac3803cf0bee0af26a1b9f53e95ad47e4f71c86b241699dee59fefcd24e056de5c4d5
-DIST Logic-2.4.9-linux-x64.AppImage 170151103 BLAKE2B b37b727064ba31abd5ea114e1cb43e1b4a1c23bce78b9387e2bf399a05ebe01a6d25df7e2e43a5bfb0c2210f24e2c584030e5576e3433cce87e09c41f1df82a7 SHA512 91fcdde099a083d825f575e855469b14377e3dab6ea80a6b0b5bcd4e8da334945d727199fde4dd3b6b5f49568cb6814b2e0ded3731aa03b76baab37430b4d7d4
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
deleted file mode 100644
index 229d3d50a..000000000
--- a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2023 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DESCRIPTION="Saleae logic analyzer"
-HOMEPAGE="https://www.saleae.com"
-
-SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-linux-x64.AppImage"
-
-S="${WORKDIR}"
-LICENSE="Saleae"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RESTRICT="bindist mirror strip"
-
-QA_PREBUILT="*"
-
-src_unpack() {
- cp "${DISTDIR}/Logic-${PV}-linux-x64.AppImage" saleae-logic || die
-}
-
-src_install() {
- dobin saleae-logic
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/logic-bin/
@ 2024-04-24 12:11 David Roman
0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2024-04-24 12:11 UTC (permalink / raw
To: gentoo-commits
commit: fdd93b7fe73b30f9d4f9f968c2e241f3a73b2cfc
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Apr 23 23:03:25 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Apr 23 23:03:25 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fdd93b7f
sci-electronics/logic-bin: add 2.4.14
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 +
sci-electronics/logic-bin/logic-bin-2.4.14.ebuild | 26 +++++++++++++++++++++++
2 files changed, 27 insertions(+)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
index 7779ec5bc7..b743ce4a22 100644
--- a/sci-electronics/logic-bin/Manifest
+++ b/sci-electronics/logic-bin/Manifest
@@ -1 +1,2 @@
+DIST Logic-2.4.14-linux-x64.AppImage 187591212 BLAKE2B 744e3266e8545c700ac2fd5ad31f9df569a2d5fe5b796a88934b7c6b730dd6282f44827748bc134960babebbf47ab9dfc12fb078d3a5b38f3eff22d1e835c2b0 SHA512 c32626eb359cad568a5871e29b4aa291294f92fd21052c80a3a21ed3a49ac3803cf0bee0af26a1b9f53e95ad47e4f71c86b241699dee59fefcd24e056de5c4d5
DIST Logic-2.4.9-linux-x64.AppImage 170151103 BLAKE2B b37b727064ba31abd5ea114e1cb43e1b4a1c23bce78b9387e2bf399a05ebe01a6d25df7e2e43a5bfb0c2210f24e2c584030e5576e3433cce87e09c41f1df82a7 SHA512 91fcdde099a083d825f575e855469b14377e3dab6ea80a6b0b5bcd4e8da334945d727199fde4dd3b6b5f49568cb6814b2e0ded3731aa03b76baab37430b4d7d4
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.14.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.14.ebuild
new file mode 100644
index 0000000000..229d3d50ab
--- /dev/null
+++ b/sci-electronics/logic-bin/logic-bin-2.4.14.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2023 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Saleae logic analyzer"
+HOMEPAGE="https://www.saleae.com"
+
+SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-linux-x64.AppImage"
+
+S="${WORKDIR}"
+LICENSE="Saleae"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="bindist mirror strip"
+
+QA_PREBUILT="*"
+
+src_unpack() {
+ cp "${DISTDIR}/Logic-${PV}-linux-x64.AppImage" saleae-logic || die
+}
+
+src_install() {
+ dobin saleae-logic
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/logic-bin/
@ 2024-04-23 23:03 David Roman
2024-04-24 12:11 ` [gentoo-commits] repo/proj/guru:master " David Roman
0 siblings, 1 reply; 9+ messages in thread
From: David Roman @ 2024-04-23 23:03 UTC (permalink / raw
To: gentoo-commits
commit: 766a771ec1767be1e297308517cd153808b58179
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Apr 23 23:02:02 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Apr 23 23:02:02 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=766a771e
sci-electronics/logic-bin: fix variable order
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/logic-bin-2.4.9.ebuild | 5 ++---
1 file changed, 2 insertions(+), 3 deletions(-)
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
index 087ac3b537..229d3d50ab 100644
--- a/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
+++ b/sci-electronics/logic-bin/logic-bin-2.4.9.ebuild
@@ -7,15 +7,14 @@ DESCRIPTION="Saleae logic analyzer"
HOMEPAGE="https://www.saleae.com"
SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-linux-x64.AppImage"
-KEYWORDS="~amd64"
+S="${WORKDIR}"
LICENSE="Saleae"
SLOT="0"
+KEYWORDS="~amd64"
RESTRICT="bindist mirror strip"
-S="${WORKDIR}"
-
QA_PREBUILT="*"
src_unpack() {
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/logic-bin/
@ 2024-04-23 23:03 David Roman
2024-04-24 12:11 ` [gentoo-commits] repo/proj/guru:master " David Roman
0 siblings, 1 reply; 9+ messages in thread
From: David Roman @ 2024-04-23 23:03 UTC (permalink / raw
To: gentoo-commits
commit: 5ea1ad116d853813017e90567ed35fe0aa53c22a
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Apr 23 23:01:46 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Apr 23 23:01:46 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5ea1ad11
sci-electronics/logic-bin: drop 2.4.0
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 -
sci-electronics/logic-bin/logic-bin-2.4.0.ebuild | 27 ------------------------
2 files changed, 28 deletions(-)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
index 5139edf956..7779ec5bc7 100644
--- a/sci-electronics/logic-bin/Manifest
+++ b/sci-electronics/logic-bin/Manifest
@@ -1,2 +1 @@
-DIST Logic-2.4.0-master.AppImage 154539767 BLAKE2B 2de346d64594932f4d37f8c4a32ba4121b539a6b643e5a140b6b560fdfa32a62dd3a7c7984a591bece51b6902f792706f777ddbb9a902876c1ae3a612d4b1635 SHA512 02b69c17c78daebeb2f213c79dddb47169e781b9862fbcb1bbd896f3452bee3cfe88ce64fd90c695bdcc2e987112ca2c8d81fd9f271522357b2a89ce28c19d2e
DIST Logic-2.4.9-linux-x64.AppImage 170151103 BLAKE2B b37b727064ba31abd5ea114e1cb43e1b4a1c23bce78b9387e2bf399a05ebe01a6d25df7e2e43a5bfb0c2210f24e2c584030e5576e3433cce87e09c41f1df82a7 SHA512 91fcdde099a083d825f575e855469b14377e3dab6ea80a6b0b5bcd4e8da334945d727199fde4dd3b6b5f49568cb6814b2e0ded3731aa03b76baab37430b4d7d4
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
deleted file mode 100644
index d6f415b420..0000000000
--- a/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2022 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DESCRIPTION="Saleae logic analyzer"
-HOMEPAGE="https://www.saleae.com"
-
-SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-master.AppImage"
-KEYWORDS="~amd64 ~x86"
-
-LICENSE="Saleae"
-SLOT="0"
-
-RESTRICT="bindist mirror strip"
-
-S="${WORKDIR}"
-
-QA_PREBUILT="*"
-
-src_unpack() {
- cp "${DISTDIR}/Logic-2.4.0-master.AppImage" saleae-logic || die
-}
-
-src_install() {
- dobin saleae-logic
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/logic-bin/
2024-04-23 23:03 [gentoo-commits] repo/proj/guru:dev " David Roman
@ 2024-04-24 12:11 ` David Roman
0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2024-04-24 12:11 UTC (permalink / raw
To: gentoo-commits
commit: 5ea1ad116d853813017e90567ed35fe0aa53c22a
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Apr 23 23:01:46 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Apr 23 23:01:46 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5ea1ad11
sci-electronics/logic-bin: drop 2.4.0
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 -
sci-electronics/logic-bin/logic-bin-2.4.0.ebuild | 27 ------------------------
2 files changed, 28 deletions(-)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
index 5139edf956..7779ec5bc7 100644
--- a/sci-electronics/logic-bin/Manifest
+++ b/sci-electronics/logic-bin/Manifest
@@ -1,2 +1 @@
-DIST Logic-2.4.0-master.AppImage 154539767 BLAKE2B 2de346d64594932f4d37f8c4a32ba4121b539a6b643e5a140b6b560fdfa32a62dd3a7c7984a591bece51b6902f792706f777ddbb9a902876c1ae3a612d4b1635 SHA512 02b69c17c78daebeb2f213c79dddb47169e781b9862fbcb1bbd896f3452bee3cfe88ce64fd90c695bdcc2e987112ca2c8d81fd9f271522357b2a89ce28c19d2e
DIST Logic-2.4.9-linux-x64.AppImage 170151103 BLAKE2B b37b727064ba31abd5ea114e1cb43e1b4a1c23bce78b9387e2bf399a05ebe01a6d25df7e2e43a5bfb0c2210f24e2c584030e5576e3433cce87e09c41f1df82a7 SHA512 91fcdde099a083d825f575e855469b14377e3dab6ea80a6b0b5bcd4e8da334945d727199fde4dd3b6b5f49568cb6814b2e0ded3731aa03b76baab37430b4d7d4
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
deleted file mode 100644
index d6f415b420..0000000000
--- a/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2022 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DESCRIPTION="Saleae logic analyzer"
-HOMEPAGE="https://www.saleae.com"
-
-SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-master.AppImage"
-KEYWORDS="~amd64 ~x86"
-
-LICENSE="Saleae"
-SLOT="0"
-
-RESTRICT="bindist mirror strip"
-
-S="${WORKDIR}"
-
-QA_PREBUILT="*"
-
-src_unpack() {
- cp "${DISTDIR}/Logic-2.4.0-master.AppImage" saleae-logic || die
-}
-
-src_install() {
- dobin saleae-logic
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/logic-bin/
@ 2022-10-06 8:58 Andrew Ammerlaan
0 siblings, 0 replies; 9+ messages in thread
From: Andrew Ammerlaan @ 2022-10-06 8:58 UTC (permalink / raw
To: gentoo-commits
commit: f2b19c7a205a1120de0953d79eac900563ef5789
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Oct 4 16:56:15 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Oct 4 16:56:15 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f2b19c7a
sci-electronics/logic-bin: keyword 2.4.0 for ~amd64, ~x86
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/logic-bin-2.4.0.ebuild | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
index a2bedda96..9c7035294 100644
--- a/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
+++ b/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
@@ -7,12 +7,13 @@ DESCRIPTION="Saleae logic analyzer"
HOMEPAGE="https://www.saleae.com"
SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-master.AppImage"
+KEYWORDS="~amd64 ~x86"
LICENSE="Saleae"
SLOT="0"
IUSE=""
-RESTRICT="strip"
+RESTRICT="bindist mirror strip"
S="${WORKDIR}"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/logic-bin/
@ 2022-10-04 2:54 Haelwenn Monnier
0 siblings, 0 replies; 9+ messages in thread
From: Haelwenn Monnier @ 2022-10-04 2:54 UTC (permalink / raw
To: gentoo-commits
commit: 612665d524568c9509fa0243825c3702b9c474a2
Author: David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Mon Oct 3 17:01:32 2022 +0000
Commit: Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Mon Oct 3 17:01:32 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=612665d5
sci-electronics/logic-bin: new package, add 2.4.0
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
sci-electronics/logic-bin/Manifest | 1 +
sci-electronics/logic-bin/logic-bin-2.4.0.ebuild | 27 ++++++++++++++++++++++++
sci-electronics/logic-bin/metadata.xml | 8 +++++++
3 files changed, 36 insertions(+)
diff --git a/sci-electronics/logic-bin/Manifest b/sci-electronics/logic-bin/Manifest
new file mode 100644
index 000000000..786763992
--- /dev/null
+++ b/sci-electronics/logic-bin/Manifest
@@ -0,0 +1 @@
+DIST Logic-2.4.0-master.AppImage 154539767 BLAKE2B 2de346d64594932f4d37f8c4a32ba4121b539a6b643e5a140b6b560fdfa32a62dd3a7c7984a591bece51b6902f792706f777ddbb9a902876c1ae3a612d4b1635 SHA512 02b69c17c78daebeb2f213c79dddb47169e781b9862fbcb1bbd896f3452bee3cfe88ce64fd90c695bdcc2e987112ca2c8d81fd9f271522357b2a89ce28c19d2e
diff --git a/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild b/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
new file mode 100644
index 000000000..a2bedda96
--- /dev/null
+++ b/sci-electronics/logic-bin/logic-bin-2.4.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2022 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Saleae logic analyzer"
+HOMEPAGE="https://www.saleae.com"
+
+SRC_URI="https://downloads.saleae.com/logic2/Logic-${PV}-master.AppImage"
+
+LICENSE="Saleae"
+SLOT="0"
+IUSE=""
+
+RESTRICT="strip"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="*"
+
+src_unpack() {
+ cp "${DISTDIR}/Logic-2.4.0-master.AppImage" saleae-logic || die
+}
+
+src_install() {
+ dobin saleae-logic
+}
diff --git a/sci-electronics/logic-bin/metadata.xml b/sci-electronics/logic-bin/metadata.xml
new file mode 100644
index 000000000..01c1fc848
--- /dev/null
+++ b/sci-electronics/logic-bin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>davidroman96@gmail.com</email>
+ <name>David Roman</name>
+ </maintainer>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2024-06-04 12:26 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-07-23 14:06 [gentoo-commits] repo/proj/guru:dev commit in: sci-electronics/logic-bin/ David Roman
2023-07-23 14:07 ` [gentoo-commits] repo/proj/guru:master " David Roman
-- strict thread matches above, loose matches on Subject: below --
2024-06-04 8:38 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-06-04 12:26 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-06-04 8:38 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-06-04 12:26 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-04-24 12:11 David Roman
2024-04-23 23:03 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-04-24 12:11 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-04-23 23:03 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-04-24 12:11 ` [gentoo-commits] repo/proj/guru:master " David Roman
2022-10-06 8:58 Andrew Ammerlaan
2022-10-04 2:54 Haelwenn Monnier
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox